Log.SingleLevelFilter(3)

NAME
Log.SingleLevelFilter - Filter for one level.

SYNOPSIS

Inherits Filter.

  Public Member Functions
def __init__ (self, passlevel, reject)
Constructor.
def filter (self, record)

  Public Attributes
passlevel
reject

Detailed Description

Filter for one level.

Constructor & Destructor Documentation

  def Log.SingleLevelFilter.__init__ ( self, passlevel, reject)

Constructor.

Parameters:
    passlevel level to filter
    reject true on reject state

Member Function Documentation

  def Log.SingleLevelFilter.filter ( self, record)

Member Data Documentation

  Log.SingleLevelFilter.passlevel

  Log.SingleLevelFilter.reject

Author

Generated automatically by Doxygen for Server DNC from the source code.